Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Interface FileSystem.Status

All Known Subinterfaces:
  FileSystem.HtmlStatus

Enclosing class:
  FileSystem

    public static interface FileSystem.Status

Allows a filesystem to annotate a group of files (typically comprising a data object) with additional markers.

This could be useful, for example, for a filesystem supporting version control. It could annotate names and icons of data nodes according to whether the files were current, locked, etc.

Method Summary
`Image` | `annotateIcon(Image icon, int iconType, Set files)` Annotate the icon of a file cluster.
`String` | `annotateName(String name, Set files)` Annotate the name of a file cluster.

Method Detail

### annotateName

    String annotateName(String name,
                        Set files)

  Annotate the name of a file cluster.

  Parameters:
    `name` - the name suggested by default
    `files` - an immutable set of `FileObject`s belonging to this filesystem
  Returns:
    the annotated name (may be the same as the passed-in name)
  Throws:
    `ClassCastException` - if the files in the set are not of valid types

### annotateIcon

    Image annotateIcon(Image icon,
                       int iconType,
                       Set files)

  Annotate the icon of a file cluster.

  Please do not modify the original; create a derivative icon image, using a weak-reference cache if necessary.

  Parameters:
    `icon` - the icon suggested by default
    `iconType` - an icon type from `BeanInfo`
    `files` - an immutable set of `FileObject`s belonging to this filesystem
  Returns:
    the annotated icon (may be the same as the passed-in icon)
  Throws:
    `ClassCastException` - if the files in the set are not of valid types

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.